Bug 488858 - Review Request: davfs2 - A filesystem driver for WebDAV
Review Request: davfs2 - A filesystem driver for WebDAV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 487587
  Show dependency treegraph
 
Reported: 2009-03-05 18:22 EST by Will Woods
Modified: 2009-05-14 11:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-14 11:47:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2009-03-05 18:22:00 EST
Spec URL: http://wwoods.fedorapeople.org/review/davfs2.spec
SRPM URL: http://wwoods.fedorapeople.org/review/davfs2-1.3.3-1.fc10.src.rpm
Description: davfs2 is a Linux file system driver that allows you to mount a WebDAV server as a disk drive. 

Note to reviewer: The following non-standard file permissions are all expected:
/usr/sbin/mount.davfs: suid root
/etc/davfs2/certs/private, /etc/davfs2/secrets: only readable by root
/var/cache/davfs2, /var/run/mount.davfs: writeable by 'davfs2' group
/var/run/mount.davfs: sticky bit set (mode 01xxx)
Comment 1 Jason Tibbitts 2009-03-09 00:00:35 EDT
Indeed, the only rpmlint complaints are those you mention, and they're all OK.

I tried to test this but without a server to connect to there's not all that much you can do.

This package leaves /etc/davfs2 and /etc/davfs2/certs unowned.  A couple of extra %dir statements should fix this up.  Really that's the only I see that needs fixing, so I'll go ahead and approve this and you can fix it up when you import.

* source files match upstream.  sha256sum:
   bb71b46dfd6b24885c263243cdf15de57d4798b6cee0b479324ea387f3694775  
   davfs2-1.3.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   config(davfs2) = 1.3.3-1.fc11
   davfs2 = 1.3.3-1.fc11
   davfs2(x86-64) = 1.3.3-1.fc11
  =
   /bin/sh
   config(davfs2) = 1.3.3-1.fc11
   libneon.so.27()(64bit)
   shadow-utils

* no shared libraries are added to the regular linker search paths.
X owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are OK (user/group creation).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED, just fix up the directory ownership issues.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Will Woods 2009-03-09 17:51:09 EDT
New Package CVS Request
=======================
Package Name: davfs2
Short Description: A filesystem driver for WebDAV
Owners: wwoods
Branches: F-9 F-10
InitialCC:
Comment 3 Dennis Gilmore 2009-03-10 16:17:58 EDT
CVS Done
Comment 4 Susi Lehtola 2009-05-14 09:48:53 EDT
ping?

Push the package as update to F-9 and F-10 and close this bug.
Comment 5 Will Woods 2009-05-14 11:47:42 EDT
Updates requested for F-9 and F-10:
https://admin.fedoraproject.org/updates/davfs2-1.3.3-2.fc9
https://admin.fedoraproject.org/updates/davfs2-1.3.3-2.fc10
Closing. Thanks for the reminder!

Note You need to log in before you can comment on or make changes to this bug.